%
% anyremote configuration file. Multi-mode example (AT-mode)
%

% STATUS stable
% XTEST no
% SOUND no
% ENV no

GuiAppName=Multimode test
GuiAppType=Example
GuiAppBinary=true
GuiAppProtocols=AT
GuiAppDesc=Simple example of how to use multiple modes.

[End]

[Protocol]=AT

(Init)=Include($(CfgDir)/Utils/aliases-at.cfg);\
	Make(var,TwoWayComm,by_value,false);\
	Macro(CHECK_RFCOMM_DEVICE);	

% aliased keys
Answer=Make(disconnect);

* * =Exec(echo 'F="$HOME/.anyRemote/anyrem.hlp";echo "Just press buttons and inspect results" > $F;echo "Switch between modes * + <digit>" >> $F);\
	Macro(SHOW_HELP);

% Default mode
1=Exec($(CfgDir)/Utils/message.sh Default_1)
2=Exec($(CfgDir)/Utils/message.sh Default_2)
3=Exec($(CfgDir)/Utils/message.sh Default_3)
4=Exec($(CfgDir)/Utils/message.sh Default_4)
5=Exec($(CfgDir)/Utils/message.sh Default_5)
6=Exec($(CfgDir)/Utils/message.sh Default_6)
7=Exec($(CfgDir)/Utils/message.sh Default_7)
8=Exec($(CfgDir)/Utils/message.sh Default_8)
9=Exec($(CfgDir)/Utils/message.sh Default_9)
0=Exec($(CfgDir)/Utils/message.sh Default_0)
* 1=Make(mode,1);Exec($(CfgDir)/Utils/message.sh "New mode is $(Mode)")
* 2=Make(mode,2);Exec($(CfgDir)/Utils/message.sh "New mode is $(Mode)")
* 3=Make(mode,3);Exec($(CfgDir)/Utils/message.sh "New mode is $(Mode)")
* 4=Make(mode,4);Exec($(CfgDir)/Utils/message.sh "New mode is $(Mode)")
* 5=Exec($(CfgDir)/Utils/message.sh "Use 1-4,# to set mode")
* 6=Exec($(CfgDir)/Utils/message.sh "Use 1-4,# to set mode")
* 7=Exec($(CfgDir)/Utils/message.sh "Use 1-4,# to set mode")
* 8=Exec($(CfgDir)/Utils/message.sh "Use 1-4,# to set mode")
* 9=Exec($(CfgDir)/Utils/message.sh "Use 1-4,# to set mode")
* 0=Exec($(CfgDir)/Utils/message.sh "Use 1-4,# to set mode")
* #=Make(mode,default);Exec($(CfgDir)/Utils/message.sh "New mode is $(Mode)")

[Mode]=1
1=Exec($(CfgDir)/Utils/message.sh Mode1_1)
2=Exec($(CfgDir)/Utils/message.sh Mode1_2)
3=Exec($(CfgDir)/Utils/message.sh Mode1_3)
4=Exec($(CfgDir)/Utils/message.sh Mode1_4)
5=Exec($(CfgDir)/Utils/message.sh Mode1_5)
6=Exec($(CfgDir)/Utils/message.sh Mode1_6)
7=Exec($(CfgDir)/Utils/message.sh Mode1_7)
8=Exec($(CfgDir)/Utils/message.sh Mode1_8)
9=Exec($(CfgDir)/Utils/message.sh Mode1_9)
0=Exec($(CfgDir)/Utils/message.sh Mode1_0)
[ModeEnd]

[Mode]=2
1=Exec($(CfgDir)/Utils/message.sh Mode2_1)
2=Exec($(CfgDir)/Utils/message.sh Mode2_2)
3=Exec($(CfgDir)/Utils/message.sh Mode2_3)
4=Exec($(CfgDir)/Utils/message.sh Mode2_4)
5=Exec($(CfgDir)/Utils/message.sh Mode2_5)
6=Exec($(CfgDir)/Utils/message.sh Mode2_6)
7=Exec($(CfgDir)/Utils/message.sh Mode2_7)
8=Exec($(CfgDir)/Utils/message.sh Mode2_8)
9=Exec($(CfgDir)/Utils/message.sh Mode2_9)
0=Exec($(CfgDir)/Utils/message.sh Mode2_0)
[ModeEnd]

[Mode]=3
1=Exec($(CfgDir)/Utils/message.sh Mode3_1)
2=Exec($(CfgDir)/Utils/message.sh Mode3_2)
3=Exec($(CfgDir)/Utils/message.sh Mode3_3)
4=Exec($(CfgDir)/Utils/message.sh Mode3_4)
5=Exec($(CfgDir)/Utils/message.sh Mode3_5)
6=Exec($(CfgDir)/Utils/message.sh Mode3_6)
7=Exec($(CfgDir)/Utils/message.sh Mode3_7)
8=Exec($(CfgDir)/Utils/message.sh Mode3_8)
9=Exec($(CfgDir)/Utils/message.sh Mode3_9)
0=Exec($(CfgDir)/Utils/message.sh Mode3_0)
[ModeEnd]

[Mode]=4
1=Exec($(CfgDir)/Utils/message.sh Mode4_1)
2=Exec($(CfgDir)/Utils/message.sh Mode4_2)
3=Exec($(CfgDir)/Utils/message.sh Mode4_3)
4=Exec($(CfgDir)/Utils/message.sh Mode4_4)
5=Exec($(CfgDir)/Utils/message.sh Mode4_5)
6=Exec($(CfgDir)/Utils/message.sh Mode4_6)
7=Exec($(CfgDir)/Utils/message.sh Mode4_7)
8=Exec($(CfgDir)/Utils/message.sh Mode4_8)
9=Exec($(CfgDir)/Utils/message.sh Mode4_9)
0=Exec($(CfgDir)/Utils/message.sh Mode4_0)
[ModeEnd]

[End]
